summaryrefslogtreecommitdiffstats
path: root/patches/opkg-utils-0.4.1
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2019-09-09 08:58:32 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2019-09-09 08:58:34 +0200
commit63f82d0a4826ced9fb02e876fad227a5362cfd4d (patch)
treedbf1ac1fb42f009a279dca00e6eeaa57fe745c17 /patches/opkg-utils-0.4.1
parent55faac370ced74fa182efbbf1574d1f059ef953c (diff)
downloadptxdist-63f82d0a4826ced9fb02e876fad227a5362cfd4d.tar.gz
ptxdist-63f82d0a4826ced9fb02e876fad227a5362cfd4d.tar.xz
host-opkg-utils: version bump 0.3.6 -> 0.4.1
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'patches/opkg-utils-0.4.1')
-rw-r--r--patches/opkg-utils-0.4.1/0100-opkg-build-use-CROSS_COMPILE-ar.patch28
-rw-r--r--patches/opkg-utils-0.4.1/0101-Update-Installed-Size-properly.patch34
-rw-r--r--patches/opkg-utils-0.4.1/0102-opkg-build-in-ptxdist-the-maxium-UID-for-system-user.patch31
-rw-r--r--patches/opkg-utils-0.4.1/series8
4 files changed, 101 insertions, 0 deletions
diff --git a/patches/opkg-utils-0.4.1/0100-opkg-build-use-CROSS_COMPILE-ar.patch b/patches/opkg-utils-0.4.1/0100-opkg-build-use-CROSS_COMPILE-ar.patch
new file mode 100644
index 000000000..6d78b82e6
--- /dev/null
+++ b/patches/opkg-utils-0.4.1/0100-opkg-build-use-CROSS_COMPILE-ar.patch
@@ -0,0 +1,28 @@
+From: =?UTF-8?q?Andreas=20Bie=C3=9Fmann?= <andreas@biessmann.de>
+Date: Fri, 20 Jan 2012 09:03:55 +0100
+Subject: [PATCH] opkg-build: use ${CROSS_COMPILE}ar
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Some host systems do not provide proper ar, make it possible to switch
+to cross-ar here.
+
+Signed-off-by: Andreas Bießmann <andreas@biessmann.de>
+---
+ opkg-build | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/opkg-build b/opkg-build
+index dcd2d68ead86..a37e55827a79 100755
+--- a/opkg-build
++++ b/opkg-build
+@@ -314,7 +314,7 @@ fi
+
+ rm -f $pkg_file
+ if [ "$outer" = "ar" ] ; then
+- ( cd $tmp_dir && ar -crfD $pkg_file ./debian-binary ./control.tar.gz ./data.tar.$cext )
++ ( cd $tmp_dir && ${CROSS_COMPILE}ar -crfD $pkg_file ./debian-binary ./control.tar.gz ./data.tar.$cext )
+ else
+ ( cd $tmp_dir && tar -c $tsortargs --mtime=@$build_date $tarformat ./debian-binary ./control.tar.gz ./data.tar.$cext | gzip $zipargs > $pkg_file )
+ fi
diff --git a/patches/opkg-utils-0.4.1/0101-Update-Installed-Size-properly.patch b/patches/opkg-utils-0.4.1/0101-Update-Installed-Size-properly.patch
new file mode 100644
index 000000000..184095540
--- /dev/null
+++ b/patches/opkg-utils-0.4.1/0101-Update-Installed-Size-properly.patch
@@ -0,0 +1,34 @@
+From: Michael Olbrich <m.olbrich@pengutronix.de>
+Date: Tue, 9 Oct 2018 11:19:37 +0200
+Subject: [PATCH] Update Installed-Size properly
+
+Convert '-' to '_' to match the variable name 'installed_size' and use the
+correct property name 'Installed-Size'.
+
+Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
+---
+ opkg.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/opkg.py b/opkg.py
+index d4e782546bc1..2e58b5f7ad19 100644
+--- a/opkg.py
++++ b/opkg.py
+@@ -247,7 +247,7 @@ class Package(object):
+ lineparts = re.match(r'([\w-]*?):\s*(.*)', line)
+ if lineparts:
+ name = lineparts.group(1)
+- name_lowercase = name.lower()
++ name_lowercase = name.lower().replace('-',"_")
+ value = lineparts.group(2)
+ while 1:
+ line = control.readline().rstrip()
+@@ -504,7 +504,7 @@ class Package(object):
+ if 'sha256' in checksum:
+ if self.sha256: out = out + "SHA256sum: %s\n" % (self.sha256)
+ if self.size: out = out + "Size: %d\n" % int(self.size)
+- if self.installed_size: out = out + "InstalledSize: %d\n" % int(self.installed_size)
++ if self.installed_size: out = out + "Installed-Size: %d\n" % int(self.installed_size)
+ if self.filename: out = out + "Filename: %s\n" % (self.filename)
+ if self.source: out = out + "Source: %s\n" % (self.source)
+ if self.description: out = out + "Description: %s\n" % (self.description)
diff --git a/patches/opkg-utils-0.4.1/0102-opkg-build-in-ptxdist-the-maxium-UID-for-system-user.patch b/patches/opkg-utils-0.4.1/0102-opkg-build-in-ptxdist-the-maxium-UID-for-system-user.patch
new file mode 100644
index 000000000..76c1defe4
--- /dev/null
+++ b/patches/opkg-utils-0.4.1/0102-opkg-build-in-ptxdist-the-maxium-UID-for-system-user.patch
@@ -0,0 +1,31 @@
+From: Michael Olbrich <m.olbrich@pengutronix.de>
+Date: Fri, 10 Nov 2017 19:52:05 +0100
+Subject: [PATCH] opkg-build: in ptxdist the maxium UID for system users is 999
+
+Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
+---
+ opkg-build | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/opkg-build b/opkg-build
+index a37e55827a79..bf7ffabae98c 100755
+--- a/opkg-build
++++ b/opkg-build
+@@ -68,14 +68,14 @@ You probably want to remove them: " >&2
+ fi
+ fi
+
+- large_uid_files=`find . -uid +99 -ls -printf '\\\n' || true`
++ large_uid_files=`find . -uid +999 -ls -printf '\\\n' || true`
+
+ if [ "$ogargs" = "" ] && [ -n "$large_uid_files" ]; then
+- echo "*** Warning: The following files have a UID greater than 99.
++ echo "*** Warning: The following files have a UID greater than 999.
+ You probably want to chown these to a system user: " >&2
+ echo -e $large_uid_files
+ if [ $? -ne 0 ]; then
+- echo "*** Error: Fail to list files have a UID greater than 99."
++ echo "*** Error: Fail to list files have a UID greater than 999."
+ exit 1
+ fi
+ echo >&2
diff --git a/patches/opkg-utils-0.4.1/series b/patches/opkg-utils-0.4.1/series
new file mode 100644
index 000000000..5a0b7a35a
--- /dev/null
+++ b/patches/opkg-utils-0.4.1/series
@@ -0,0 +1,8 @@
+# generated by git-ptx-patches
+#tag:base --start-number 1
+#tag:upstream --start-number 1
+#tag:ptx --start-number 100
+0100-opkg-build-use-CROSS_COMPILE-ar.patch
+0101-Update-Installed-Size-properly.patch
+0102-opkg-build-in-ptxdist-the-maxium-UID-for-system-user.patch
+# 043753b8f8c5b034e920d9e2fd664c03 - git-ptx-patches magic